Memcached::addServers
Memcached::appendByKey
Memcached
PHP Manual

# Memcached::append

(PECL memcached >= 0.1.0)

Memcached::append — Append data to an existing item

### Opis

public bool Memcached::append ( string `$key` , string `$value` )

Memcached::append() appends the given `value` string to the value of an existing item. The reason that `value` is forced to be a string is that appending mixed types is not well-defined.

> Informacja: If the `Memcached::OPT_COMPRESSION` is enabled, the operation will fail and a warning will be issued, because appending compressed data to a value that is potentially already compressed is not possible.

### Parametry

`key`

  Klucz określający przechowywaną wartość.

`value`

  The string to append.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Przykłady

Przykład #1 Memcached::append() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->append('foo', 'def');
var_dump($m->get('foo'));
?>`

Powyższy przykład wyświetli:

    string(6) "abcdef"

### Zobacz też:

- Memcached::appendByKey - Append data to an existing item on a specific server
- Memcached::prepend - Prepend data to an existing item

Memcached::addServers
Memcached::appendByKey
Memcached
PHP Manual